Subject: 23.0.91; need ability to run emacs --daemon in the foreground

From: Jameson Rollins <[email-masked]>
Date: Sat, 14 Mar 2009 01:23:59 -0400

This is a feature request more than a bug: I would really like to see
the ability to run the emacs server daemon ("emacs --daemon") in the
foreground.  This would be very useful.  I would like to be able to
start/control this daemon with a service supervisor (i.e. runit [0]).
This would allow me to easily start the daemon on system start up, and
have access to the daemon from all xsessions and virtual terminals.

I would also be prefer to be able to specify daemon parameters as
well, such as the location of the socket file.

I find the new server to be incredibly useful.  It is a really great
new feature.  I would just like to see these small changes so that I
can really turn my editor into the server it needs to be.

Thanks for all the great work, and let me know if I can provide any
additional information.

[0] http://smarden.org/runit/

In GNU Emacs 23.0.91.1 (i486-pc-linux-gnu, GTK+ Version 2.12.12)
 of 2009-02-28 on elegiac, modified by Debian
 (emacs-snapshot package, version 1:20090228-1)
Windowing system distributor `The X.Org Foundation', version 11.0.10402000
configured using `configure  '--build' 'i486-linux-gnu' '--host' 'i486-linux-gnu' '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib' '--localstatedir=/var' '--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes' '--enable-locallisppath=/etc/emacs-snapshot:/etc/emacs:/usr/local/share/emacs/23.0.91/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/23.0.91/site-lisp:/usr/share/emacs/site-lisp' '--with-x=yes' '--with-x-toolkit=gtk' 'build_alias=i486-linux-gnu' 'host_alias=i486-linux-gnu' 'CFLAGS=-DDEBIAN -DSITELOAD_PURESIZE_EXTRA=5000 -g -O2' 'LDFLAGS=-g -Wl,--as-needed' 'CPPFLAGS=''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  shell-dirtrack-mode: t
  server-mode: t
  iswitchb-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
x e c SPC m p d p r o x y C-x b RET C-x b RET ESC [ 
B ESC [ B RET ESC O a ESC [ B C-k C-k C-x C-s C-y ESC 
[ B ESC [ B C-x C-s C-x b RET e x e c SPC 2 > & 1 C-x 
C-s ESC [ B ESC [ B ESC [ B C-x C-s C-x k RET C-x C-s 
C-x C-f ESC [ A ESC b C-k l o TAB r u TAB RET C-x k 
RET C-x C-s C-x k RET C-x C-g C-f C-x C-f ESC [ A DEL 
DEL DEL c o n f i g RET s s i z e DEL DEL DEL DEL 1 
0 0 0 0 0 0 RET n n u m DEL DEL DEL 3 DEL 2 ESC [ B 
ESC [ B RET C-x C-s C-x C-c C-g C-x k RET ESC [ B ESC 
[ B ESC [ C ESC [ C ESC [ C ESC [ C ESC [ C ~ / b i 
n / C-x C-s C-x C-c ESC [ B ESC [ C ESC [ C ESC [ C 
ESC [ C ESC [ C ESC [ B C-d / h o m e / j r o l l i 
n s C-x C-s C-x C-c <switch-frame> C-x C-f ESC [ A 
ESC [ A ESC [ B RET ESC [ B ESC [ B ESC [ C ESC [ C 
ESC [ C ESC [ C ESC [ C c h p s t SPC e n v SPC C-x 
C-s ESC b - e SPC C-x C-s C-x C-s C-x C-s C-x C-s C-x 
k RET ESC x r e p o TAB r TAB RET

Recent messages:
Setting up indent for shell type sh
setting up indent stuff
Indentation variables are now local.
Indentation setup for shell type sh
Saving file /home/jrollins/.service/mpdproxy/run...
Wrote /home/jrollins/.service/mpdproxy/run
Saving file /home/jrollins/.service/mpdproxy/run...
Wrote /home/jrollins/.service/mpdproxy/run
(No changes need to be saved) [3 times]
Making completion list...